%define module_name Lingua-RU-Money-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(List/MoreUtils.pm) perl(Test/Exception.pm) perl(Test/Spec.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt4
Summary: Perl extension for digit conversion to corresponding money sum in Russian.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IM/IMUN/%{module_name}-%{version}.tar.gz

%description
This is CPAN distribution of the Lingua::RU::Money::XS module. Please note that
this module works only on Perl 5.16.0 and newer.

Run `perldoc Lingua::RU::Money::XS` (while in this source directory before
installation) for more documentation.

See https://github.com/igormunkin/Lingua-RU-Money-XS/issues for full list of
open problems and feel free to report your bugs and feature requests there or
by mailing imun@cpan.org

Copyright (C) 2017 by Igor Munkin

This library is free software; you can redistribute it and/or modify

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.pod LICENSE-GPL-2.0 Changes LICENSE-Artistic-1.0
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.08-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.08-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt1.1
- rebuild with perl 5.28.1

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2
- rebuild with perl 5.26

* Wed May 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

